[Rainmeter]
Update=40
LocalFont="#SKINSPATH#\Portal\7fonts.ru_electr.ttf"

LeftMouseDoubleClickAction=!Execute ["#SKINSPATH#\Portal\Panel_Right\Variables.txt"]
@include="#SKINSPATH#\Portal\Panel_Right\Variables.txt"

[Variables]
LocalFontFace=Electrofied

[Textstyle]
FontSize=14
StringStyle=normal
FontColor=163,104,41
AntiAlias=1
StringAlign=CENTER
StringEffect=SHADOW
FontFace=#LocalFontFace#

---------------------------------------------------------------------
[CLOSED]
	Measure=Calc
	Formula=0
[OPENED]
	Measure=Calc
	Formula=25
[STOP]
	Measure=Calc
	Formula=Counter
[HOLD]
	Measure=Calc
	Formula=HOLD = 0 ? STOP : HOLD
	Disable=1
[RESET]
	Measure=Calc
	Formula=STOP - HOLD
	IfAboveValue=25
	IfAboveAction=!Execute [!RainmeterDisableMeasure HOLD]
[FORWARD]
	Measure=Calc
	MinValue=0
	MaxValue=25
	Formula=(STOP-HOLD < 25) ? STOP-HOLD : 0
	IfEqualValue=24
	IfEqualAction=!Execute [!RainmeterShowMeter (close)][!RainmeterShowMeter (opened)][!RainmeterDisableMeasure MeasureQuote][!RainmeterShowMeterGroup pan][!RainmeterHideMeter (forward)][!RainmeterDisableMeasure FORWARD][!RainmeterDisableMeasure HOLD][!RainmeterRedraw]
	Disabled=1
[REVERSE]
	Measure=Calc
	MinValue=0
	MaxValue=25
	Formula=(STOP-HOLD < 25) ? 25-(STOP-HOLD) : 24
	IfEqualValue=1
	IfEqualAction=!Execute [!RainmeterShowMeter (open)][!RainmeterHideMeter (reverse)][!RainmeterDisableMeasure REVERSE][!RainmeterDisableMeasure HOLD][!RainmeterRedraw]
	Disabled=1


[(forward)]
Meter=Image
W=560
H=510
ImageName=#SKINSPATH#\Portal\weather\Animation\[FORWARD].png
DynamicVariables=1
Hidden=1

[(reverse)]
Meter=Image
W=560
H=510
ImageName=#SKINSPATH#\Portal\weather\Animation\[REVERSE].png
DynamicVariables=1
Hidden=1


[(opened)]
Meter=Image
W=560
H=510
ImageName=#SKINSPATH#\Portal\weather\Animation\24.png
Hidden=1

[MeasureQuote]
Measure=Plugin
Plugin=Plugins\QuotePlugin.dll
PathName=#SKINSPATH#Portal\Samples
Subfolders=1
FileFilter=RP3.wav
Disabled=1


[(close)]
meter=button
X=495
buttonimage=button.png
LeftMouseDownAction=!Execute [!RainmeterHideMeter (close)][!RainmeterEnableMeasure HOLD][!RainmeterEnableMeasure REVERSE][!RainmeterShowMeter (reverse)][!RainmeterHideMeter (opened)][!RainmeterHideMeterGroup pan]


[(open)]
meter=button
X=495
buttonimage=button.png
LeftMouseDownAction=!Execute [!RainmeterHideMeter (open)][!RainmeterEnableMeasure HOLD][!RainmeterEnableMeasure FORWARD][!RainmeterShowMeter (forward)][!RainmeterRedraw]


[Button]
meter=button
X=495
buttonimage=button.png
ButtonCommand=PLAY [measurequote]
MouseOverAction=!Execute [!RainmeterEnableMeasure MeasureQuote]

------------------------------------------------------------------------------------------


[IKON1]
Meter=IMAGE
SolidColor=0,0,0,1
X=93
Y=110
W=190
H=18
Group=Pan
Hidden=1
LeftMouseDownAction=!Execute ["#link1#"][!RainmeterHideMeter (close)][!RainmeterEnableMeasure HOLD][!RainmeterEnableMeasure REVERSE][!RainmeterShowMeter (reverse)][!RainmeterHideMeter (opened)][!RainmeterHideMeterGroup pan][!RainmeterRedraw]

[Text1]
Meter=STRING
X=185
Y=r
MeterStyle=Textstyle
FontFace=#LocalFontFace#
Text=#Prog1#
Group=Pan
Hidden=1


[IKON2]
Meter=IMAGE
SolidColor=0,0,0,1
X=93
Y=135
W=190
H=18
Group=Pan
Hidden=1
LeftMouseDownAction=!Execute ["#link2#"][!RainmeterHideMeter (close)][!RainmeterEnableMeasure HOLD][!RainmeterEnableMeasure REVERSE][!RainmeterShowMeter (reverse)][!RainmeterHideMeter (opened)][!RainmeterHideMeterGroup pan][!RainmeterRedraw]

[Text2]
Meter=STRING
X=185
Y=r
MeterStyle=Textstyle
FontFace=#LocalFontFace#
Text=#Prog2#
Group=Pan
Hidden=1


[IKON3]
Meter=IMAGE
SolidColor=0,0,0,1
X=93
Y=160
W=190
H=18
Group=Pan
Hidden=1
LeftMouseDownAction=!Execute ["#link3#"][!RainmeterHideMeter (close)][!RainmeterEnableMeasure HOLD][!RainmeterEnableMeasure REVERSE][!RainmeterShowMeter (reverse)][!RainmeterHideMeter (opened)][!RainmeterHideMeterGroup pan][!RainmeterRedraw]

[Text3]
Meter=STRING
X=185
Y=r
MeterStyle=Textstyle
FontFace=#LocalFontFace#
Text=#Prog3#
Group=Pan
Hidden=1


[IKON4]
Meter=IMAGE
SolidColor=0,0,0,1
X=93
Y=185
W=190
H=18
Group=Pan
Hidden=1
LeftMouseDownAction=!Execute ["#link4#"][!RainmeterHideMeter (close)][!RainmeterEnableMeasure HOLD][!RainmeterEnableMeasure REVERSE][!RainmeterShowMeter (reverse)][!RainmeterHideMeter (opened)][!RainmeterHideMeterGroup pan][!RainmeterRedraw]

[Text4]
Meter=STRING
X=185
Y=r
MeterStyle=Textstyle
FontFace=#LocalFontFace#
Text=#Prog4#
Group=Pan
Hidden=1


[IKON5]
Meter=IMAGE
SolidColor=0,0,0,1
X=93
Y=210
W=190
H=18
Group=Pan
Hidden=1
LeftMouseDownAction=!Execute ["#link5#"][!RainmeterHideMeter (close)][!RainmeterEnableMeasure HOLD][!RainmeterEnableMeasure REVERSE][!RainmeterShowMeter (reverse)][!RainmeterHideMeter (opened)][!RainmeterHideMeterGroup pan][!RainmeterRedraw]

[Text5]
Meter=STRING
X=185
Y=r
MeterStyle=Textstyle
FontFace=#LocalFontFace#
Text=#Prog5#
Group=Pan
Hidden=1


[IKON6]
Meter=IMAGE
SolidColor=0,0,0,1
X=93
Y=235
W=190
H=18
Group=Pan
Hidden=1
LeftMouseDownAction=!Execute ["#link6#"][!RainmeterHideMeter (close)][!RainmeterEnableMeasure HOLD][!RainmeterEnableMeasure REVERSE][!RainmeterShowMeter (reverse)][!RainmeterHideMeter (opened)][!RainmeterHideMeterGroup pan][!RainmeterRedraw]

[Text6]
Meter=STRING
X=185
Y=r
MeterStyle=Textstyle
FontFace=#LocalFontFace#
Text=#Prog6#
Group=Pan
Hidden=1


[IKON7]
Meter=IMAGE
SolidColor=0,0,0,1
X=93
Y=260
W=190
H=18
Group=Pan
Hidden=1
LeftMouseDownAction=!Execute ["#link7#"][!RainmeterHideMeter (close)][!RainmeterEnableMeasure HOLD][!RainmeterEnableMeasure REVERSE][!RainmeterShowMeter (reverse)][!RainmeterHideMeter (opened)][!RainmeterHideMeterGroup pan][!RainmeterRedraw]

[Text7]
Meter=STRING
X=185
Y=r
MeterStyle=Textstyle
FontFace=#LocalFontFace#
Text=#Prog7#
Group=Pan
Hidden=1


[IKON8]
Meter=IMAGE
SolidColor=0,0,0,1
X=93
Y=285
W=190
H=18
Group=Pan
Hidden=1
LeftMouseDownAction=!Execute ["#link8#"][!RainmeterHideMeter (close)][!RainmeterEnableMeasure HOLD][!RainmeterEnableMeasure REVERSE][!RainmeterShowMeter (reverse)][!RainmeterHideMeter (opened)][!RainmeterHideMeterGroup pan][!RainmeterRedraw]

[Text8]
Meter=STRING
X=185
Y=r
MeterStyle=Textstyle
FontFace=#LocalFontFace#
Text=#Prog8#
Group=Pan
Hidden=1
